package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.Date;

public interface Trade extends EJBObject
{
    public int getSellerID() throws RemoteException;
    public void setSellerID(int aSellerID) throws RemoteException;

    public int getBuyerID() throws RemoteException;
    public void setBuyerID(int aBuyerID) throws RemoteException;

    public int getPutID() throws RemoteException;
    public void setPutID(int aPutID) throws RemoteException;

    public int getBuyID() throws RemoteException;
    public void setBuyID(int aBuyID) throws RemoteException;

    public String getStock() throws RemoteException;
    public void setStock(String aStock) throws RemoteException;

    public int getShares() throws RemoteException;
    public void setShares(int numShares) throws RemoteException;

    public int getPrice() throws RemoteException;
    public void setPrice(int thePrice) throws RemoteException;

    public Date getTransTime() throws RemoteException;
    public void setTransTime(Date aTransTime) throws RemoteException;
}
